Opened 13 years ago

Closed 13 years ago

#2499 closed defect (fixed)

recorded.recordid is not set properly for overrides

Reported by: derek@… Owned by: Isaac Richards
Priority: minor Milestone: unknown
Component: mythtv Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

Changeset [11124] was suppose to set the recorded.recordid to the parentid for overrides, which in turn allows proper counting for max episodes with recording rules.

Running SVN 11294, this is not happening.

mysql> SELECT * FROM recorded WHERE title = 'OHL Hockey';
+--------+---------------------+---------------------+------------+-----------------------------------------+-------------+--------------+---------------------------+----------+---------+---------+------------+-------------+----------+----------+----------+--------------+----------------+------------+-------+-----------------+-----------------+----------+--------+---------------+------------+-------------+-------------+-------------------------+---------------------+---------------------+-----------+---------+-----------+------------+---------+
| chanid | starttime           | endtime             | title      | subtitle                                | description | category     | hostname                  | bookmark | editing | cutlist | autoexpire | commflagged | recgroup | recordid | seriesid | programid    | lastmodified   | filesize   | stars | previouslyshown | originalairdate | preserve | findid | deletepending | transcoder | timestretch | recpriority | basename                | progstart           | progend             | playgroup | profile | duplicate | transcoded | watched |
+--------+---------------------+---------------------+------------+-----------------------------------------+-------------+--------------+---------------------------+----------+---------+---------+------------+-------------+----------+----------+----------+--------------+----------------+------------+-------+-----------------+-----------------+----------+--------+---------------+------------+-------------+-------------+-------------------------+---------------------+---------------------+-----------+---------+-----------+------------+---------+
|   1468 | 2006-09-29 19:30:00 | 2006-09-29 22:20:00 | OHL Hockey | Belleville Bulls at Kingston Frontenacs |             | Sports event | mythtv-server.battams.lan |        0 |       0 |       0 |          1 |           0 | Default  |      351 |          | SP1826120000 | 20060929222000 | 6656705076 |     0 |               0 | 2006-09-29      |        0 |      0 |             0 |          0 |           1 |           0 | 1468_20060929193000.mpg | 2006-09-29 19:30:00 | 2006-09-29 22:00:00 | Default   | Default |         1 |          0 |       0 |
+--------+---------------------+---------------------+------------+-----------------------------------------+-------------+--------------+---------------------------+----------+---------+---------+------------+-------------+----------+----------+----------+--------------+----------------+------------+-------+-----------------+-----------------+----------+--------+---------------+------------+-------------+-------------+-------------------------+---------------------+---------------------+-----------+---------+-----------+------------+---------+

The base rule that started this recording was:

mysql> SELECT * FROM record WHERE title LIKE 'Frontenacs%';
+----------+------+--------+-----------+------------+----------+------------+---------------------------+----------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+----------+---------+-------------+------------+-------------+-----------+-------------+-----------+----------+-----------+-------+---------+----------+-----------+--------+---------------+--------------+--------------+--------------+--------------+--------------+---------+----------+--------+----------+----------+------------+-----------+-----------+-----------+---------------------+---------------------+---------------------+
| recordid | type | chanid | starttime | startdate  | endtime  | enddate    | title                     | subtitle | description                                                                                                                                                                                                                       | category | profile | recpriority | autoexpire | maxepisodes | maxnewest | startoffset | endoffset | recgroup | dupmethod | dupin | station | seriesid | programid | search | autotranscode | autocommflag | autouserjob1 | autouserjob2 | autouserjob3 | autouserjob4 | findday | findtime | findid | inactive | parentid | transcoder | tsdefault | playgroup | prefinput | next_record         | last_record         | last_delete         |
+----------+------+--------+-----------+------------+----------+------------+---------------------------+----------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+----------+---------+-------------+------------+-------------+-----------+-------------+-----------+----------+-----------+-------+---------+----------+-----------+--------+---------------+--------------+--------------+--------------+--------------+--------------+---------+----------+--------+----------+----------+------------+-----------+-----------+-----------+---------------------+---------------------+---------------------+
|      342 |    4 |   1095 | 16:27:00  | 2006-09-26 | 16:27:01 | 2006-09-26 | Frontenacs (Power Search) |          | (program.title = "OHL Hockey" OR program.title = "CHL Hockey") AND program.subtitle LIKE "%Kingston%" AND program.previouslyshown = 0 AND program.first > 0 AND program.category_type = "sports" AND channel.callsign <> "COMM22" | 0        | Default |           0 |          1 |           1 |         1 |           0 |         0 | Default  |         6 |    15 | CHNU    |          |           |      1 |             0 |            0 |            0 |            0 |            0 |            0 |       1 | 00:09:34 | 732942 |        0 |        0 |          0 |         1 | Default   |         0 | 2006-10-06 19:30:00 | 2006-09-29 19:29:57 | 0000-00-00 00:00:00 |
+----------+------+--------+-----------+------------+----------+------------+---------------------------+----------+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+----------+---------+-------------+------------+-------------+-----------+-------------+-----------+----------+-----------+-------+---------+----------+-----------+--------+---------------+--------------+--------------+--------------+--------------+--------------+---------+----------+--------+----------+----------+------------+-----------+-----------+-----------+---------------------+---------------------+---------------------+

But in the recorded table, it's using the override rule for the recordid:

mysql> SELECT * FROM record WHERE recordid = 351;
+----------+------+--------+-----------+------------+----------+------------+------------+-----------------------------------------+-------------+--------------+---------+-------------+------------+-------------+-----------+-------------+-----------+----------+-----------+-------+---------+----------+--------------+--------+---------------+--------------+--------------+--------------+--------------+--------------+---------+----------+--------+----------+----------+------------+-----------+-----------+-----------+---------------------+---------------------+---------------------+
| recordid | type | chanid | starttime | startdate  | endtime  | enddate    | title      | subtitle                                | description | category     | profile | recpriority | autoexpire | maxepisodes | maxnewest | startoffset | endoffset | recgroup | dupmethod | dupin | station | seriesid | programid    | search | autotranscode | autocommflag | autouserjob1 | autouserjob2 | autouserjob3 | autouserjob4 | findday | findtime | findid | inactive | parentid | transcoder | tsdefault | playgroup | prefinput | next_record         | last_record         | last_delete         |
+----------+------+--------+-----------+------------+----------+------------+------------+-----------------------------------------+-------------+--------------+---------+-------------+------------+-------------+-----------+-------------+-----------+----------+-----------+-------+---------+----------+--------------+--------+---------------+--------------+--------------+--------------+--------------+--------------+---------+----------+--------+----------+----------+------------+-----------+-----------+-----------+---------------------+---------------------+---------------------+
|      351 |    7 |   1468 | 19:30:00  | 2006-09-29 | 22:00:00 | 2006-09-29 | OHL Hockey | Belleville Bulls at Kingston Frontenacs |             | Sports event | Default |           0 |          1 |           1 |         1 |           0 |        20 | Default  |         6 |    15 | OHL5    |          | SP1826120000 |      0 |             0 |            0 |            0 |            0 |            0 |            0 |       0 | 00:00:00 |      0 |        0 |      342 |          0 |         1 | Default   |         0 | 0000-00-00 00:00:00 | 0000-00-00 00:00:00 | 0000-00-00 00:00:00 |
+----------+------+--------+-----------+------------+----------+------------+------------+-----------------------------------------+-------------+--------------+---------+-------------+------------+-------------+-----------+-------------+-----------+----------+-----------+-------+---------+----------+--------------+--------+---------------+--------------+--------------+--------------+--------------+--------------+---------+----------+--------+----------+----------+------------+-----------+-----------+-----------+---------------------+---------------------+---------------------+

I modified the end time during the recording, which triggered the creation and application of recordid 351. I'm expecting recordid 342 to be in the recorded table so that the next time a game is recorded it will autoexpire this recording if I haven't deleted it.

Change History (1)

comment:1 Changed 13 years ago by cpinkham

Resolution: fixed
Status: newclosed

This was fixed in [11599] in trunk and [11600] in -fixes.

Note: See TracTickets for help on using tickets.